function positionCompDescription(flag)   {
    style = document.getElementById("compDescription").style;
    style.left = (getWindowWidth() / 10) - 20 + "px";
    style.border = "thin solid black";
    setInterval("moveCompDescription()", 10);
}

function setCompDescriptionColor(flag)  {
    style = document.getElementById("compDescription").style;
    if(flag == "required")  {
        style.color = "green";
    }   else if(flag == "sensitive") {
        style.color = "red";
    }   else    {
        style.color = "black";
    }
}

function moveCompDescription()  {
    var step = 10;
    var scrollX = getScrollXPos() + (getWindowWidth() / 10) - 20;
    style = document.getElementById("compDescription").style;
    style.minWidth = (getWindowWidth() / 10 * 8) + "px";
    var currentX = parseInt(style.left.substring(0,style.left.length-1));
    if(currentX != scrollX)   {
        if(currentX > scrollX && Math.abs(currentX - scrollX) > step)    {
            style.left = currentX - (Math.abs(currentX - scrollX) / step) + "px";
        }  else if(currentX < scrollX && Math.abs(currentX - scrollX) > step)    {
            style.left = currentX + (Math.abs(currentX - scrollX) / step) + "px";
        }
    }
}

function getScrollXPos() {
    var scrollX = 0;
    if(typeof(window.pageXOffset) == 'number')  {
        scrollX = window.pageXOffset;
    } else if(document.body && document.body.scrollLeft) {
        scrollX = document.body.scrollLeft;
    } else if(document.documentElement && document.documentElement.scrollLeft) {
        scrollX = document.documentElement.scrollLeft;
    }
    return scrollX;
}

function getWindowWidth()   {
    var width = 0;
    if(typeof(window.innerWidth) == 'number')   {
        width = window.innerWidth;
    } else if(document.body && document.body.clientWidth) {
        width = document.body.clientWidth;
    } else if(document.documentElement && document.documentElement.clientWidth){
        width = document.documentElement.clientWidth;
    }
    return width;
}