t__='restructuredtext'

import unittest

from zope.testing import doctest
from zope.app.testing import setup
import cando.virginia.tests

def setUp(test):
    cando.virginia.tests.setUp(test)

def tearDown(test):
    setup.placefulTearDown()

def test_suite():
    optionflags = (doctest.NORMALIZE_WHITESPACE | doctest.ELLIPSIS | 
                  doctest.REPORT_NDIFF | doctest.REPORT_ONLY_FIRST_FAILURE)
    return unittest.TestSuite((
        doctest.DocFileSuite('README.txt',
                             setUp=setUp, tearDown=tearDown,
                             optionflags=optionflags),
                             ))

if __name__ == '__main__':
    unittest.main(default='test_suite')

