import os.path
from paste.script.templates import Template

HOME = os.path.expanduser('~')

class CanDoDeploy(Template):
    _template_dir = 'cando_template'
    summary = "(Paste) deployment of a CanDo application"

    def check_vars(self, vars, cmd):
        vars = super(CanDoDeploy, self).check_vars(vars, cmd)
        vars['abspath'] = os.path.join(os.path.abspath(cmd.options.output_dir), vars['project'])
        return vars
